## pam-python 0.1.1

=== Makefile ===
ME=$(shell basename $$PWD)
DEBIANPACKAGE=$(shell sed -e 's/-[^-]*$$//' <<<"$(ME)")
PACKAGE=$(shell sed -e 's/-[^-]*$$//' -e 's/-/_/' <<<"$(ME)")
VERSION=$(shell sed 's/.*-//' <<<"$(ME)")
YEAR=$(shell date +%Y)
MONTH=$(shell date +%b)
DATE=$(shell date +%Y-%m-%d)

all:	doc lib

lib:
	$(MAKE) --directory src

doc:
	$(MAKE) --directory doc

test:	
	$(MAKE) --directory src $@

clean install:
	rm -rf pam_python
	$(MAKE) --directory doc $@
	$(MAKE) --directory src $@

www:	clean
	#
	# Update all the version numbers and dates.
	#
	sed -i '/$(YEAR)/!s/^\(  Copyright (c) .*2[0-9]*\)\([ ]*Russell Stuart\)/\1,$(YEAR)\2/' README.txt
	sed -i '/$(YEAR)/!s/^\( [*].*Copyright (c) .*2[0-9]*\)\([ ]*Russell Stuart\)/\1,$(YEAR)\2/' src/$(PACKAGE).c
	sed -i 's/^\(const char libpam_python_version\[\][ 	]*=[ 	]*"\)[^ "]*/\1$(VERSION)/' src/$(PACKAGE).c
	sed -i '/$(YEAR)/!s/\(.* is copyright &copy; .*2[0-9]*\)\([ ]*Russell Stuart\)/\1,$(YEAR)\2/' $(PACKAGE).html
	sed -i 's/$(PACKAGE)-[0-9]\+\([.][0-9]\+\)\+/$(PACKAGE)-$(VERSION)/g' $(PACKAGE).html
	sed -i 's/^\([ 	]*version="\)[0-9]\+\([.][0-9]\+\)\+/\1$(VERSION)/' src/setup.py
	#
	# Build the www directory.
	#
	mkdir $(PACKAGE)
	(cd ..; tar cfz $(ME)/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz --exclude=$(ME)/debian --exclude=$(ME)/$(PACKAGE) $(ME))
	cp -a ChangeLog.txt epl-v10.html $(PACKAGE).html $(PACKAGE)
	cp $(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz ../$(DEBIANPACKAGE)_$(VERSION).orig.tar.gz
	$(MAKE) --directory doc DOCDIR=../$(PACKAGE) build install
	mv $(PACKAGE)/html $(PACKAGE)/doc
	ln -s pam_python.html $(PACKAGE)/index.html

.PHONY:	doc lib

=== doc/Makefile ===
ifdef PYVER
  MKHOWTO=/usr/lib/python$(PYVER)/doc/tools/mkhowto
else
  MKHOWTO=$(firstword $(wildcard /usr/lib/python2.*/doc/tools/mkhowto))
endif

PREFIX	?= /usr
DOCDIR	= $(PREFIX)/share/doc/pam_python

build:
	$(MKHOWTO) --style=style.css --about=about.dat --iconserver=icons

install:
	cp -a pam_python $(DESTDIR)$(DOCDIR)/html
	cp -a icons $(DESTDIR)$(DOCDIR)/html/.
	cp ../README.txt $(DESTDIR)$(DOCDIR)/.
	cp -a ../examples $(DESTDIR)$(DOCDIR)/.

clean:
	rm -rf pam_python *~

=== src/Makefile ===
all:	ctest pam_python.so test-pam_python.pam

WARNINGS=-Wall -W -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
#WARNINGS=-Wunreachable-code 	# Gcc 4.1 is too buggy to make this useful

pam_python.so: pam_python.c setup.py Makefile
	@rm -f "$@"
	@[ ! -e build -o build/lib.*/$@ -nt setup.py -a build/lib.*/$@ -nt Makefile ] || rm -r build
	CFLAGS="$(WARNINGS)" ./setup.py build
	@#CFLAGS="-O0 $(WARNINGS)" ./setup.py build --debug
	@#CFLAGS="-O0 $(WARNINGS)" Py_DEBUG=1 ./setup.py build --debug
	ln -sf build/lib.*/$@ .

install:
	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security

clean:
	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc
	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam

ctest:	ctest.c Makefile
	gcc -O0 $(WARNINGS) -g -o $@ -lpam ctest.c

test-pam_python.pam: test-pam_python.pam.in Makefile
	sed "s,\\\$$PWD,$$(pwd),g" "$@.in" >"$@.tmp" 
	mv $@.tmp $@

/etc/pam.d/test-pam_python.pam: test-pam_python.pam
	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s ln -sf $$(pwd)/test-pam_python.pam /etc/pam.d

test: pam_python.so ctest /etc/pam.d/test-pam_python.pam
	python test.py
	./ctest

## pam-python 1.0.0

=== Makefile ===
ME=$(shell basename $$PWD)
DEBIANPACKAGE=$(shell sed -e 's/-[^-]*$$//' <<<"$(ME)")
PACKAGE=$(shell sed -e 's/-[^-]*$$//' -e 's/-/_/' <<<"$(ME)")
VERSION=$(shell sed 's/.*-//' <<<"$(ME)")
YEAR=$(shell date +%Y)
MONTH=$(shell date +%b)
DATE=$(shell date +%Y-%m-%d)

all:	doc lib

lib:
	$(MAKE) --directory src

doc:
	$(MAKE) --directory doc

test:	
	$(MAKE) --directory src $@

clean install:
	rm -rf pam_python
	$(MAKE) --directory doc $@
	$(MAKE) --directory src $@

.PHONY:	doc lib

=== src/Makefile ===
--- 
+++ 
@@ -12,10 +12,11 @@
 	ln -sf build/lib.*/$@ .
 
 install:
+	mkdir -p $(DESTDIR)/lib/security
 	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security
 
 clean:
-	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc
+	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
 
 ctest:	ctest.c Makefile

=== debian/changelog ===
pam-python (1.0.0-2) unstable; urgency=low

  * debian/watch: fixed url.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun,  4 Jul 2010 09:55:20 +1000

pam-python (1.0.0-1) unstable; urgency=low

  * New upsteam release - documentation format changed to sphinx.
    (Closes: #582754).
  * Split into binary and doc packages because documentation now
    depends on libjs-jquery.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 29 Jun 2010 13:27:36 +1000

pam-python (0.1.1-2) unstable; urgency=low

  * Fix rules file to work properly when building arch dependent
    packages.
  * Correct clean target in the rules file to make sure unpatching is
    done after make clean is executed, to make sure the patches are in
    effect when cleaning is done.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 May 2010 16:57:49 +0200

pam-python (0.1.1-1) unstable; urgency=low

  * Initial release based on package from upstream (Closes: #578650).
  * Drop build depend on latex2html to avoid non-free dependency.
  * Upgrade from debhelper 5 to 7.
  * Update standards-version from 3.7.3 to 3.8.4.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 05 May 2010 10:25:24 +0200

=== debian/control ===
Source: pam-python
Section: python
Priority: extra
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
  libpam0g-dev | libpam-dev
Standards-Version: 3.8.4
Homepage:  http://www.stuart.id.au/russell/files/pam_python
DM-Upload-Allowed: yes
XS-Python-Version: >= 2.2

Package: libpam-python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libpam-python-doc
Description: Enables PAM modules to be written in Python
 This PAM module runs the Python interpreter, thus allowing PAM
 modules to be written in Python.  As a Python incurs a considerable
 overhead its intended audience is SysAdmins writing one off PAM
 modules.  If you are doing that, you should probably install
 the documentation in libpam-python-doc as well.

Package: libpam-python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: libpam-python
Description: Documentation for the bindings provided by libpam-python
 The libpam-python PAM module runs the Python interpreter, thus allowing
 PAM modules to be written in Python.  This package documents the bindings
 provided by libpam-python.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

get-orig-source:
	@if [ -z "$(UPSTREAM_VERSION)" ]; then echo "Please run as .../debian/rules UPSTREAM_VERSION=xxx $@"; exit 1; fi
	wget -O "pam-python_$(UPSTREAM_VERSION).orig.tar.gz" "http://www.stuart.id.au/russell/files/pam_python/pam_python-$(UPSTREAM_VERSION).tar.gz"

BIN_PACKAGE	= libpam-python
DOC_PACKAGE	= libpam-python-doc
DOC_DIR		= usr/share/doc/$(DOC_PACKAGE)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdocs -p$(BIN_PACKAGE)
	dh_installchangelogs -p$(BIN_PACKAGE) ChangeLog.txt
	dh_installdocs -p$(DOC_PACKAGE) README.txt
	dh_installchangelogs -p$(DOC_PACKAGE)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp DOCDIR=/$(DOC_DIR) install
	rm $(CURDIR)/debian/tmp/$(DOC_DIR)/html/_static/jquery.js
	dh_movefiles -p$(BIN_PACKAGE) lib/security
	dh_movefiles -p$(DOC_PACKAGE) $(DOC_DIR)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link -p$(DOC_PACKAGE) /usr/share/javascript/jquery/jquery.js $(DOC_DIR)/html/_static/jquery.js
	dh_compress -i -X$(DOC_DIR)/html
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: binary build clean binary-indep binary-arch binary install configure

## pam-python 1.0.1

=== doc/Makefile ===
PREFIX	?= /usr
DOCDIR	= $(PREFIX)/share/doc/pam_python

build:
	sphinx-build -b html -E . html
	rm -f html/index.html && ln -s pam_python.html html/index.html

install:
	mkdir -p $(DESTDIR)$(DOCDIR)/html
	cp -a html/* $(DESTDIR)$(DOCDIR)/html
	mkdir -p $(DESTDIR)$(DOCDIR)/examples
	cp -a ../examples $(DESTDIR)$(DOCDIR)/.

clean:
	rm -rf html

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:	ctest pam_python.so test-pam_python.pam
 
-WARNINGS=-Wall -W -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
-#WARNINGS=-Wunreachable-code 	# Gcc 4.1 is too buggy to make this useful
+WARNINGS=-Wall -Wextra -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
+#WARNINGS=-Wunreachable-code 	# Gcc 4.1 .. 4.4 are too buggy to make this useful
 
 pam_python.so: pam_python.c setup.py Makefile
 	@rm -f "$@"
@@ -20,7 +20,7 @@
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
 
 ctest:	ctest.c Makefile
-	gcc -O0 $(WARNINGS) -g -o $@ -lpam ctest.c
+	gcc -O0 $(WARNINGS) -g -o $@ ctest.c -lpam
 
 test-pam_python.pam: test-pam_python.pam.in Makefile
 	sed "s,\\\$$PWD,$$(pwd),g" "$@.in" >"$@.tmp"

=== debian/changelog ===
pam-python (1.0.1-1) unstable; urgency=low

  * New upstream incorporating --load-as-needed patch from Ubuntu.
    (Closes: #606700).
  * Removed Petter Reinholdtsen from Uploaders at his suggestion.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 13 Dec 2010 09:12:09 +1000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage:  http://www.stuart.id.au/russell/files/pam_python
 DM-Upload-Allowed: yes
 XS-Python-Version: >= 2.2

## pam-python 1.0.2

=== Makefile ===
--- 
+++ 
@@ -6,20 +6,37 @@
 MONTH=$(shell date +%b)
 DATE=$(shell date +%Y-%m-%d)
 
+.PHONY:	all
 all:	doc lib
 
+.PHONY:	lib
 lib:
 	$(MAKE) --directory src
 
+.PHONY:	doc
 doc:
 	$(MAKE) --directory doc
 
+.PHONY:	test
 test:	
 	$(MAKE) --directory src $@
 
-clean install:
+.PHONY:	clean-pam_python
+clean-pam_python:
 	rm -rf pam_python
+
+.PHONY:	clean
+clean: clean-pam_python
 	$(MAKE) --directory doc $@
 	$(MAKE) --directory src $@
 
-.PHONY:	doc lib
+.PHONY:	install
+install: install-doc install-lib
+
+.PHONY:	install-doc
+install-doc: clean-pam_python
+	$(MAKE) --directory doc $@
+
+.PHONY:	install-lib
+install-lib: clean-pam_python
+	$(MAKE) --directory src $@

=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 PREFIX	?= /usr
 DOCDIR	= $(PREFIX)/share/doc/pam_python
 
+.PHONY: build
 build:
 	sphinx-build -b html -E . html
 	rm -f html/index.html && ln -s pam_python.html html/index.html
 
-install:
+.PHONY: install install-doc
+install: install-doc
+install-doc:
 	mkdir -p $(DESTDIR)$(DOCDIR)/html
 	cp -a html/* $(DESTDIR)$(DOCDIR)/html
 	mkdir -p $(DESTDIR)$(DOCDIR)/examples

=== src/Makefile ===
--- 
+++ 
@@ -11,14 +11,18 @@
 	@#CFLAGS="-O0 $(WARNINGS)" Py_DEBUG=1 ./setup.py build --debug
 	ln -sf build/lib.*/$@ .
 
-install:
+.PHONY: install install-lib
+install: install-lib
+install-lib:
 	mkdir -p $(DESTDIR)/lib/security
 	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security
 
+.PHONY: clean
 clean:
 	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
 
+.PHONY: ctest
 ctest:	ctest.c Makefile
 	gcc -O0 $(WARNINGS) -g -o $@ ctest.c -lpam
 
@@ -29,6 +33,7 @@
 /etc/pam.d/test-pam_python.pam: test-pam_python.pam
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s ln -sf $$(pwd)/test-pam_python.pam /etc/pam.d
 
+.PHONY: test
 test: pam_python.so ctest /etc/pam.d/test-pam_python.pam
 	python test.py
 	./ctest

=== debian/changelog ===
pam-python (1.0.2-1) unstable; urgency=low

  * New upstream.
  * Bumped standards version to 3.9.3.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  5 Apr 2012 15:23:06 +1000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage:  http://www.stuart.id.au/russell/files/pam_python
 DM-Upload-Allowed: yes
 XS-Python-Version: >= 2.2
@@ -24,7 +24,7 @@
 Package: libpam-python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: libpam-python
 Description: Documentation for the bindings provided by libpam-python
  The libpam-python PAM module runs the Python interpreter, thus allowing

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

.PHONY: get-orig-source
get-orig-source:
	@if [ -z "$(UPSTREAM_VERSION)" ]; then echo "Please run as .../debian/rules UPSTREAM_VERSION=xxx $@"; exit 1; fi
	wget -O "pam-python_$(UPSTREAM_VERSION).orig.tar.gz" "http://www.stuart.id.au/russell/files/pam_python/pam_python-$(UPSTREAM_VERSION).tar.gz"

BIN_PACKAGE	= libpam-python
DOC_PACKAGE	= libpam-python-doc
DOC_DIR		= usr/share/doc/$(DOC_PACKAGE)

.PHONY: clean
clean:
	dh_testdir
	$(MAKE) clean
	dh_clean

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-arch:
	$(MAKE) lib
build-indep:
	$(MAKE) doc

.PHONY: install install-arch install-indep
install: install-arch install-indep
install-arch: build-arch
	dh_testdir --arch
	dh_testroot --arch
	dh_prep --arch
	dh_installdocs --arch
	dh_installchangelogs --arch
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(BIN_PACKAGE) install-lib

install-indep: build-indep
	dh_testdir --indep
	dh_testroot --indep
	dh_prep --indep
	dh_installdocs --indep
	dh_installdocs -p$(DOC_PACKAGE) README.txt
	dh_installchangelogs --indep
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DOC_PACKAGE) DOCDIR=/$(DOC_DIR) install-doc
	rm $(CURDIR)/debian/$(DOC_PACKAGE)/$(DOC_DIR)/html/_static/jquery.js
	dh_link -p$(DOC_PACKAGE) /usr/share/javascript/jquery/jquery.js $(DOC_DIR)/html/_static/jquery.js
	rm $(CURDIR)/debian/$(DOC_PACKAGE)/$(DOC_DIR)/html/_static/underscore.js
	dh_link -p$(DOC_PACKAGE) /usr/share/javascript/underscore/underscore.js $(DOC_DIR)/html/_static/underscore.js
	dh_compress --indep -X$(DOC_DIR)/html

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: install-arch
	dh_testdir --arch
	dh_testroot --arch
	dh_link --arch
	dh_strip --arch
	dh_compress --arch
	dh_fixperms --arch
	dh_installdeb --arch
	dh_shlibdeps --arch
	dh_gencontrol --arch
	dh_md5sums --arch
	dh_builddeb --arch

binary-indep: install-indep
	dh_testdir --indep
	dh_testroot --indep
	dh_fixperms --indep
	dh_installdeb --indep
	dh_gencontrol --indep
	dh_md5sums --indep
	dh_builddeb --indep

=== debian/watch ===
version=3

http://www.stuart.id.au/russell/files/pam_python/pam-python-(.*).tar.gz

## pam-python 1.0.4

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 WARNINGS=-Wall -Wextra -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
 #WARNINGS=-Wunreachable-code 	# Gcc 4.1 .. 4.4 are too buggy to make this useful
+
+LIBDIR ?= /lib/security
 
 pam_python.so: pam_python.c setup.py Makefile
 	@rm -f "$@"
@@ -14,13 +16,13 @@
 .PHONY: install install-lib
 install: install-lib
 install-lib:
-	mkdir -p $(DESTDIR)/lib/security
-	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security
+	mkdir -p $(DESTDIR)$(LIBDIR)
+	cp build/lib.*/pam_python.so $(DESTDIR)$(LIBDIR)
 
 .PHONY: clean
 clean:
 	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
-	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
+	[ ! -e /etc/pam.d/test-pam_python.pam ] || { s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam; }
 
 .PHONY: ctest
 ctest:	ctest.c Makefile

=== debian/changelog ===
pam-python (1.0.4-1.1+deb8u1) jessie-security; urgency=high

  * Backport fix CVE-2019-16729 backport from 1.0.7.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 28 Oct 2019 08:20:25 +1000

pam-python (1.0.4-1) unstable; urgency=low

  * New upstream, moved to AGPL-3.0.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri, 30 May 2014 06:31:46 +1000

pam-python (1.0.3-1) unstable; urgency=low

  * Fix lintian warnings under jessie.
  * New upstream, improving compatibility with older python versions.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun,  4 May 2014 23:30:32 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: python
 Priority: extra
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.3
-Homepage:  http://www.stuart.id.au/russell/files/pam_python
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
+Homepage:  http://pam-python.sourceforge.net/
 XS-Python-Version: >= 2.2
 
 Package: libpam-python

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,28 @@
 
 #export DH_VERBOSE=1
 
-.PHONY: get-orig-source
-get-orig-source:
-	@if [ -z "$(UPSTREAM_VERSION)" ]; then echo "Please run as .../debian/rules UPSTREAM_VERSION=xxx $@"; exit 1; fi
-	wget -O "pam-python_$(UPSTREAM_VERSION).orig.tar.gz" "http://www.stuart.id.au/russell/files/pam_python/pam_python-$(UPSTREAM_VERSION).tar.gz"
-
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 BIN_PACKAGE	= libpam-python
 DOC_PACKAGE	= libpam-python-doc
 DOC_DIR		= usr/share/doc/$(DOC_PACKAGE)
+
+ME=$(shell sed 's,\([^ ]*\) .*,\1,;q' debian/changelog)
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+endif
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+
+.PHONY:	get-orig-source
+get-orig-source:
+	version=$(shell \
+	    wget -O - "http://sourceforge.net/projects/$(ME)/files/" | \
+	    sed -n 's;.*<a href="/projects/$(ME)/files/$(ME)-\([^/]*\)/".*;\1;p' | \
+	    sort --version-sort -r | sed 1q); \
+	wget "http://downloads.sourceforge.net/$(ME)/$(ME)-$${version}/$(ME)-$${version%-*}.tar.gz"; \
+	mv "$(ME)-$${version%-*}.tar.gz" "$(ME)_$${version%-*}.orig.tar.gz"
 
 .PHONY: clean
 clean:
@@ -20,9 +34,9 @@
 .PHONY: build build-arch build-indep
 build: build-arch build-indep
 build-arch:
-	$(MAKE) lib
+	$(shell dpkg-buildflags --export=configure) $(MAKE) lib
 build-indep:
-	$(MAKE) doc
+	$(shell dpkg-buildflags --export=configure) $(MAKE) doc
 
 .PHONY: install install-arch install-indep
 install: install-arch install-indep
@@ -32,7 +46,7 @@
 	dh_prep --arch
 	dh_installdocs --arch
 	dh_installchangelogs --arch
-	$(MAKE) DESTDIR=$(CURDIR)/debian/$(BIN_PACKAGE) install-lib
+	$(MAKE) DESTDIR=$(CURDIR)/debian/$(BIN_PACKAGE) LIBDIR=/lib/$(DEB_HOST_MULTIARCH)/security install-lib
 
 install-indep: build-indep
 	dh_testdir --indep

=== debian/watch ===
version=3

https://sourceforge.net/projects/pam-python/files/ /projects/pam-python/files/pam-python-(\d[^-]*)[^/]*/

## pam-python 1.0.6

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PREFIX	?= /usr
-DOCDIR	= $(PREFIX)/share/doc/pam_python
+DOCDIR	?= $(PREFIX)/share/doc/pam_python
 
 .PHONY: build
 build:

=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 pam_python.so: pam_python.c setup.py Makefile
 	@rm -f "$@"
 	@[ ! -e build -o build/lib.*/$@ -nt setup.py -a build/lib.*/$@ -nt Makefile ] || rm -r build
-	CFLAGS="$(WARNINGS)" ./setup.py build
+	CFLAGS="$(WARNINGS) -I/usr/local/lib/ " ./setup.py build
 	@#CFLAGS="-O0 $(WARNINGS)" ./setup.py build --debug
 	@#CFLAGS="-O0 $(WARNINGS)" Py_DEBUG=1 ./setup.py build --debug
 	ln -sf build/lib.*/$@ .

=== debian/changelog ===
pam-python (1.0.6-1.1+deb10u1) buster-security; urgency=high

  * Backport fix CVE-2019-16729 backport from 1.0.7.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 28 Oct 2019 08:08:05 +1000

pam-python (1.0.6-1) unstable; urgency=low

  * New upstream.
  * Add debian specific patch to link sphinx to python-doc instead
    of online version.  (Closes: #833411).
  * Bump standards version.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sat, 27 Aug 2016 21:37:03 +1000

pam-python (1.0.5-1) unstable; urgency=low

  * New upstream.
  * Bump standards version.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri, 19 Feb 2016 20:51:53 +1000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: extra
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
+  python-doc,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage:  http://pam-python.sourceforge.net/
 XS-Python-Version: >= 2.2

## pam-python 1.0.7

=== src/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 clean:
 	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
 	[ ! -e /etc/pam.d/test-pam_python.pam ] || { s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam; }
+	[ ! -e /etc/pam.d/test-pam_python-installed.pam ] || { s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python-installed.pam; }
 
 .PHONY: ctest
 ctest:	ctest.c Makefile
@@ -39,3 +40,15 @@
 test: pam_python.so ctest /etc/pam.d/test-pam_python.pam
 	python test.py
 	./ctest
+
+test-pam_python-installed.pam: test-pam_python.pam.in Makefile
+	sed "s,\\\$$PWD/pam-python.so,pam-python.so,;s,\\\$$PWD,$$(pwd),g" "$@.in" >"$@.tmp" 
+	mv $@.tmp $@
+
+/etc/pam.d/test-pam_python-installed.pam: test-pam_python-installed.pam
+	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s ln -sf $$(pwd)/test-pam_python-installed.pam /etc/pam.d
+
+.PHONY: installed-test
+installed-test: ctest /etc/pam.d/test-pam_python-installed.pam
+	python test.py
+	./ctest

=== debian/changelog ===
pam-python (1.0.7-1ubuntu1) focal; urgency=medium

  * Build-depend on python2-doc.
  * Let the autopkg test depend on libpam0g-dev | libpam-dev.
  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Mar 2020 16:11:32 +0100

pam-python (1.0.7-1) unstable; urgency=high

  * New upstream.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 18 Sep 2019 20:25:13 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pam-python
-Section: python
-Priority: extra
+Section: admin
+Priority: optional
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
-  python-doc,
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.2), python3-sphinx,
+  python2-doc,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage:  http://pam-python.sourceforge.net/
-XS-Python-Version: >= 2.2
 
 Package: libpam-python
 Architecture: any

=== debian/tests/control ===
Tests: pam-python-test.sh
Depends: build-essential, libpam-python, python-pam, libpam0g-dev | libpam-dev
Restrictions: needs-root

## pam-python 1.0.9

=== src/Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 pam_python.so: pam_python.c setup.py Makefile
 	@rm -f "$@"
 	@[ ! -e build -o build/lib.*/$@ -nt setup.py -a build/lib.*/$@ -nt Makefile ] || rm -r build
-	CFLAGS="$(WARNINGS) -I/usr/local/lib/ " ./setup.py build
-	@#CFLAGS="-O0 $(WARNINGS)" ./setup.py build --debug
-	@#CFLAGS="-O0 $(WARNINGS)" Py_DEBUG=1 ./setup.py build --debug
+	CFLAGS="$(CFLAGS) $(WARNINGS) -I/usr/local/lib/ " ./setup.py build --debug
+	@#CFLAGS="$(CFLAGS) -Og $(WARNINGS)" ./setup.py build --debug
+	@#CFLAGS="$(CFLAGS) -Og $(WARNINGS)" Py_DEBUG=1 ./setup.py build --debug
 	ln -sf build/lib.*/$@ .
 
 .PHONY: install install-lib
@@ -39,7 +39,7 @@
 .PHONY: test
 test: pam_python.so ctest /etc/pam.d/test-pam_python.pam
 	python test.py
-	./ctest
+	./ctest python
 
 test-pam_python-installed.pam: test-pam_python.pam.in Makefile
 	sed "s,\\\$$PWD/pam-python.so,pam-python.so,;s,\\\$$PWD,$$(pwd),g" "$@.in" >"$@.tmp" 
@@ -51,4 +51,4 @@
 .PHONY: installed-test
 installed-test: ctest /etc/pam.d/test-pam_python-installed.pam
 	python test.py
-	./ctest
+	./ctest python

=== debian/changelog ===
pam-python (1.0.9-2) unstable; urgency=high

  * Source only upload for migration to testing

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 23 Nov 2020 18:57:51 +1000

pam-python (1.0.9-1) unstable; urgency=high

  * Get rid of tests.  They are python2 only.  Closes: 974589.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri, 13 Nov 2020 07:17:29 +1000

pam-python (1.0.8-1) unstable; urgency=high

  * New upstream.
  * Move to explicit python2 versioning.  Closes: #967194.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  5 Nov 2020 20:47:48 +1000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.2), python3-sphinx,
-  python2-doc,
+Build-Depends: debhelper (>= 12),
+  python2, python2-dev (>= 2.2), python2-doc,
+  python3, python3-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage:  http://pam-python.sourceforge.net/
 
 Package: libpam-python
@@ -22,7 +23,7 @@
 Package: libpam-python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore, sphinx-common
 Recommends: libpam-python
 Description: Documentation for the bindings provided by libpam-python
  The libpam-python PAM module runs the Python interpreter, thus allowing

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 BIN_PACKAGE	= libpam-python
 DOC_PACKAGE	= libpam-python-doc
 DOC_DIR		= usr/share/doc/$(DOC_PACKAGE)
+DEB_BUILD_MAINT_OPTIONS ?= hardening=+bindnow
 
 ME=$(shell sed 's,\([^ ]*\) .*,\1,;q' debian/changelog)
 
@@ -34,9 +35,9 @@
 .PHONY: build build-arch build-indep
 build: build-arch build-indep
 build-arch:
-	$(shell dpkg-buildflags --export=configure) $(MAKE) lib
+	$(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --export=configure) $(MAKE) lib
 build-indep:
-	$(shell dpkg-buildflags --export=configure) $(MAKE) doc
+	$(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --export=configure) $(MAKE) doc
 
 .PHONY: install install-arch install-indep
 install: install-arch install-indep

=== debian/watch ===
version=4

https://sourceforge.net/projects/pam-python/files/ /projects/pam-python/files/pam-python-(\d[^-]*)[^/]*/

## pam-python 1.1.0~git20220701.1d4e111

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,3 @@
-ME=$(shell basename $$PWD)
-DEBIANPACKAGE=$(shell sed -e 's/-[^-]*$$//' <<<"$(ME)")
-PACKAGE=$(shell sed -e 's/-[^-]*$$//' -e 's/-/_/' <<<"$(ME)")
-VERSION=$(shell sed 's/.*-//' <<<"$(ME)")
-YEAR=$(shell date +%Y)
-MONTH=$(shell date +%b)
-DATE=$(shell date +%Y-%m-%d)
-
 .PHONY:	all
 all:	doc lib
 
@@ -40,3 +32,21 @@
 .PHONY:	install-lib
 install-lib: clean-pam_python
 	$(MAKE) --directory src $@
+
+RELEASE_SOURCES = \
+	ChangeLog.txt \
+	Makefile \
+	Makefile.release \
+	pam-python.html \
+	README.txt \
+	doc/pam_python.rst \
+	src/ctest.c \
+	src/Makefile \
+	src/pam_python.c \
+	src/setup.py \
+	src/test-pam_python.pam.in \
+	src/test.py
+
+include Makefile.release
+
+release-project-clean:: clean

=== src/Makefile ===
PYTHON ?= python

all:	ctest pam_python.so test-pam_$(PYTHON).pam

WARNINGS=-Wall -Wextra -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
#WARNINGS=-Wunreachable-code 	# Gcc 4.1 .. 4.4 are too buggy to make this useful

LIBDIR ?= /lib/security

pam_python.so: pam_python.c setup.py Makefile
	@rm -f "$@"
	@[ ! -e build -o build/lib.*/$@ -nt setup.py -a build/lib.*/$@ -nt Makefile ] || rm -r build
	CFLAGS="$(CFLAGS) $(WARNINGS) -I/usr/local/lib/ " $(PYTHON) setup.py build --debug
	@#CFLAGS="$(CFLAGS) -Og $(WARNINGS)" $(PYTHON) setup.py build --debug
	@#CFLAGS="$(CFLAGS) -Og $(WARNINGS)" Py_DEBUG=1 $(PYTHON) setup.py build --debug
	ln -sf build/lib.*/$@ .

.PHONY: install install-lib
install: install-lib
install-lib:
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp build/lib.*/pam_python.*.so $(DESTDIR)$(LIBDIR)/pam_python.so

.PHONY: clean
clean:
	rm -rf build ctest pam_python.so test-pam_$(PYTHON).pam test.pyc core
	[ ! -e /etc/pam.d/test-pam_$(PYTHON).pam ] || { s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_$(PYTHON).pam; }
	[ ! -e /etc/pam.d/test-pam_$(PYTHON)-installed.pam ] || { s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_$(PYTHON)-installed.pam; }

.PHONY: ctest
ctest:	ctest.c Makefile
	gcc -O0 $(WARNINGS) -g -o $@ ctest.c -lpam

test-pam_$(PYTHON).pam: test-pam_python.pam.in Makefile
	sed "s,\\\$$PWD,$$(pwd),g" "$<" >"$@.tmp"
	mv $@.tmp $@

/etc/pam.d/test-pam_$(PYTHON).pam: test-pam_$(PYTHON).pam
	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s ln -sf $$(pwd)/test-pam_$(PYTHON).pam /etc/pam.d

.PHONY: test
test: pam_python.so ctest /etc/pam.d/test-pam_$(PYTHON).pam
	$(PYTHON) test.py
	./ctest $(PYTHON)

test-pam_$(PYTHON)-installed.pam: test-pam_python.pam.in Makefile
	sed "s,\\\$$PWD/pam-python.so,pam-python.so,;s,\\\$$PWD,$$(pwd),g" "$<" >"$@.tmp"
	mv $@.tmp $@

/etc/pam.d/test-pam_$(PYTHON)-installed.pam: test-pam_$(PYTHON)-installed.pam
	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s ln -sf $$(pwd)/test-pam_$(PYTHON)-installed.pam /etc/pam.d

.PHONY: installed-test
installed-test: ctest /etc/pam.d/test-pam_$(PYTHON)-installed.pam
	$(PYTHON) test.py
	./ctest $(PYTHON)

=== debian/changelog ===
pam-python (1.1.0~git20220701.1d4e111-2) unstable; urgency=high

  * Source only upload.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu, 12 Sep 2024 17:58:03 +1000

pam-python (1.1.0~git20220701.1d4e111-1) unstable; urgency=high

  * Fix CVE-2019-16729 again.  Closes: ##1076955.
  * Add Build-Depends: python3-setuptools.  Closes: #1080693.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  5 Sep 2024 17:59:09 +1000

pam-python (1.1.0~git20220701.1d4e111-0.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into multiarch path in /usr. (Closes: #1064046)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 11 Jun 2024 01:50:03 +0200

pam-python (1.1.0~git20220701.1d4e111-0.5) unstable; urgency=medium

  * debian/patches:
    + Add 1001_Py_DontWriteBytecodeFlag-deprecation-in-py312.patch.
      Use new PyConfig API for setting global config vars starting
      with Python 3.12. (Closes: #1061376).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Feb 2024 08:07:10 +0100

pam-python (1.1.0~git20220701.1d4e111-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the path to the Python intersphinx repository. Closes: #1061304.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jan 2024 14:45:27 +0100

pam-python (1.1.0~git20220701.1d4e111-0.3) unstable; urgency=medium

  * debian/{copyright,control,watch}:
    + Switch to own (sunweaver) upstream location.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Oct 2022 13:58:36 +0200

pam-python (1.1.0~git20220701.1d4e111-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  * debian/tests/control:
    + Use python3-pam (not python-pam) test dependency.
    + Add 'libpam0g-dev | libpam-dev' to Depends: field.
  * debian/patches:
    + Amend autopkgtests. This adds
      0009_src-test-pam_python.pam.in-Use-more-tabs-make-file-m.patch,
      0010_src-Makefile-When-creating-symlink-test-pam_-PYTHON-.patch, and
      0011_src-Makefile-Fix-sed-expression-pam_python.so-is-spe.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Oct 2022 10:10:22 +0200

pam-python (1.1.0~git20220701.1d4e111-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New Git snapshot from @Ionic providing Python3 support. (Closes: #937234).
  * debian/patches:
    + Add 000[2-8]_*.patch: Various patches from upstream Git (still pending
      submission). Rename intersphinx-localmapping.diff to
      2001_intersphinx-localmapping.patch.
    + Rebase 2001_intersphinx-localmapping.patch against upstream version bump
      patch.
  * debian/watch:
    + Obtain Git snapshot from gh/Ionic/pam-python, branch feature/py3.
  * debian/source.lintian-overrides:
    + Drop sourceforce related override.
  * debian/copyright:
    + Update/improve copyright attributions.
    + Use secure URL in Format: field.
  * debian/{compat,control}:
    + Switch to debhelper-compat notation and bump DH compat level to version
      13.
  * debian/rules (et al.):
    + Convert to pure debhelper.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
    + Re-phrase package SYNOPSIS and LONG_DESCRIPTION fields.
    + Add Vcs-*: fields. Maintain the packaging of this project on
      salsa.debian.org in the future.
    + Adjust layout of Depends: fields.
    + Add B-D: python3-pam (needed for unit tests, if one chooses to run
      them locally).
    + Fix unusual field spacing in Homepage: field.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/libpam-python-doc.links:
    + Fix notation (don't start a path with a slash).
    + Symlink to more .js files available in sphinx, libjs-underscore and
      libjs-jquery. (This probably needs more love).
  * debian/tests:
    + Re-enable autopkgtests (as a goal, should work, not-testable due to
      broken Debian sid atm).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Oct 2022 01:26:40 +0200

=== debian/control ===
Source: pam-python
Section: admin
Priority: optional
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
  python3-dev,
  python3-doc,
  python3-pam,
  python3-setuptools,
  python3-sphinx,
  libpam0g-dev | libpam-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/sunweaver/pam-python/
Vcs-Browser: https://salsa.debian.org/debian/pam-python/
Vcs-Git: https://salsa.debian.org/debian/pam-python.git

Package: libpam-python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Suggests: libpam-python-doc
Description: Enables PAM modules to be written in Python
 This PAM module runs the Python interpreter, thus allowing PAM modules
 to be written in Python. As a Python incurs a considerable overhead its
 intended audience is SysAdmins writing one off PAM modules. If you are
 doing that, you should probably install the documentation in
 libpam-python-doc as well.

Package: libpam-python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore,
         sphinx-common,
Recommends: libpam-python
Description: Documentation for the bindings provided by libpam-python
 The libpam-python PAM module runs the Python interpreter, thus allowing
 PAM modules to be written in Python.
 .
 This package documents the bindings provided by libpam-python.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)/security

%:
	dh $@ --with python3 --system=pybuild

override_dh_install:
	mv debian/tmp/usr/share/doc/pam_python debian/tmp/usr/share/doc/libpam-python
	dh_install

override_dh_auto_test:
	:

.PHONY: get-orig-source
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.1.0~git%cd.%h" \
https://github.com/sunweaver/pam-python/ \
HEAD debian uupdate
